<!DOCTYPE html>
<html lang="en" ng-app="spseApp">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Penawaran Peserta">
    <title>Penawaran Peserta</title>
    <link rel="stylesheet" href="#{assets '/angular/bootstrap.min.css'/}" type="text/css" media="screen" />
    <link rel="stylesheet" href="#{assets '/angular/handsontable.min.css'/}" type="text/css">
	<link rel="stylesheet" href="#{assets '/angular/style.css'/}" type="text/css"/>
  </head>
  <body>
  	 
  	 <div class="navbar navbar-default fixed-top" role="navigation" ng-controller="UserCtrl">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="sr-only">&{'penawaran.toggle_navigation'}</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#">&{'penawaran.apendo'}</a>
        </div>
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav navbar-right">
            <li><a id="user" href="#" ng-bind="user.name" data-container=".navbar-fixed-top" data-toggle="popover" data-placement="bottom"></a></li>
            <li><a href="" ng-click="logout()">&{'penawaran.keluar'}</a></li>
          </ul>
        </div>
      </div>
    </div>

    <div class="container">
    	<div id="tasks" class="" ng-controller="ProgressCtrl" ng-cloak>
        <!-- progress bars -->
        <p class="alert alert-info" ng-show="currentTask">Status: <b><span ng-bind="currentTask"></span></b></p>
        <!--p ng-repeat="progress in progresses"><span ng-bind="progress.envelope | envelopeName"></span><span ng-bind="progress.percent|percentName" ng-hide="progress.done"></span> <span class="badge  badge-success" ng-show="progress.done">Selesai</span>
        </p-->
        <div id="actions" class="float-right" ng-controller="ActionsCtrl">
        </div>
      </div>

      <ul id="tabs" class="nav nav-tabs" ng-controller="NavTabsCtrl" ng-cloak>
        <li>
          <a href="#info" data-toggle="tab" data-index="0" ng-click="tabChanged(0)">&{'penawaran.informasi'}</a>
        </li>
        <li ng-show="hasSorted">
          <a href="#vendors" data-toggle="tab" data-index="1" ng-click="tabChanged(1)">&{'penawaran.peserta'}</a>
        </li>
        <!--li>
          <a href="#pricing" data-toggle="tab" data-index="2" ng-click="tabChanged(2)">Penawaran Harga</a>
        </li-->
      </ul>

      <div class="tab-content">
        <!-- first tab, bidding information + offer period -->
        <div class="tab-pane" id="info" ng-controller="InfoCtrl">
          <br />
          <table class="table table-sm">
            <thead>
              <th>&nbsp
              <th>&nbsp;</th>
            </thead>
            <tbody>
              <tr><td width="200"><b>&{'penawaran.kode_tender'}</b></td><td ng-bind="info.id"></td></tr>
              <tr><td><b>&{'penawaran.nama_paket'}</b></td><td ng-bind="info.name"></td></tr>
              <tr><td><b>&{'penawaran.instansi'}</b></td><td ng-bind="info.organization"></td></tr>
              <tr><td><b>&{'penawaran.nilai_hps'}</b></td><td ng-bind="info.hps | currency:'Rp. '"></td></tr>
              <tr><td><b>LPSE</b></td><td ng-bind="info.lpse"></td></tr> 
            </tbody>
          </table>
        </div>

        <!-- second tab, technical docs submission -->
        <div class="tab-pane" id="vendors" ng-show="hasSorted" ng-controller="VendorsCtrl">
          <br />
          <table class="table table-sm">
            <thead>
              <th>#</th>
              <th>&{'penawaran.nama_peserta'}</th>
              <th>&{'penawaran.berkas'}</th>
            </thead>
            <tbody>
              <tr ng-repeat="row in filtered">
                <td>
                  <span ng-bind="$index + 1"></span>
                </td>
                <td>
                  <b><span ng-bind="row.user.name"></span></b><br />
                  <span ng-bind="row.user._id"></span><br />
                  <span ng-bind="row.user.address"></span>
                </td>
                <td>
                  <button ng-bind="row.taskLabel || 'Unduh'" ng-disabled="row.downloading" class="btn btn-secondary" ng-click="open($index, row)"></button>
                </td>
              </tr>
            </tbody>
          </table>
        </div> 

        <!-- third tab, pricing form-->
        <!--div class="tab-pane" id="pricing" ng-controller="PricingCtrl">
          
        </div-->
      </div> <!-- tab content -->

    </div>
    </div>

    <script type="text/javascript" src="#{assets '/angular/jquery.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/bootstrap.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/hansontable.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/angular.min.js'/}"></script>
    <script type="text/javascript" src="#{assets '/angular/safe-apply.js'/}"></script>

  	<script type="text/javascript">
	  	var user = {{ entry.owner | raw | json_encode }}; // an object
	    var token = '${access_token}';
		var info = {{ entry.bidding | json_encode | raw }}
		var submissions = {{ submissions | json_encode | raw }};
      	var sorting_url = '{{ sortingUrl }}';
			
		// compat
		user.id = user.id || user._id;
		info.id = info.id || info._id;
		</script>

	<!-- the app -->
	<script type="text/javascript" src="#{assets '/angular/app.committee.js'/}"></script>
  </body>
</html>





